ACL_GET_FLAGSET_NP(3)

NAME
acl_get_flagset_np - retrieve flag set from an ACL or ACL entry

LIBRARY
libc

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
int
acl_get_flagset_np(void *obj, acl_flagset_t *flagset_p);

DESCRIPTION
The acl_get_flagset_np() function is a nonstandard extension that returns via flagset_p a descriptor to the flag set in the ACL or ACL entry obj. Subsequent operations using the returned flag set operate on the permission set within the ACL or ACL entry.

RETURN VALUES

ERRORS
The acl_get_flagset() function fails if:

[EINVAL]
    Argument obj is not a valid descriptor for an ACL or ACL entry.

SEE ALSO
acl(3), acl_add_flag_np(3), acl_clear_flags_np(3), acl_delete_flag_np(3), acl_set_flagset_np(3)

AUTHORS
Michael Smith Chris D. Faulhaber